Bug 15699 - Page renders as being much taller than needed, can scroll forever
Summary: Page renders as being much taller than needed, can scroll forever
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.5
: P2 Major
Assignee: Nobody
URL: http://trac.macosforge.org/projects/r...
Keywords: Regression
Depends on:
Blocks:
 
Reported: 2007-10-25 19:58 PDT by Mark Rowe (bdash)
Modified: 2009-07-22 12:03 PDT (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Rowe (bdash) 2007-10-25 19:58:41 PDT
Steps to reproduce:

1. Visit http://trac.macosforge.org/projects/ruby/wiki/WhatsNewInLeopard.
2. Look at scroll bar, note tiny thumb.
3. Scroll down.  Keep scrolling.  Nothingness.

Firefox doesn't see this.  This is a recent regression as this does not reproduce in Safari that ships with 10.5.
Comment 1 mitz 2007-10-25 23:54:47 PDT
I saw the bug the first time I loaded the page, but when I reloaded it it had the correct height. I am pretty sure I have seen this behavior on trac.macosforge.org pages with older versions of WebKit (going back at least as far as the one that ships with 10.5). Those pages use <http://trac.macosforge.org/js/bgsize.js> which gives an error on WebKit.
Comment 2 Mark Rowe (bdash) 2007-10-25 23:57:22 PDT
The line that throws the exception is:

		document.bggradientimg.height=newheight;

TypeError: Undefined value
http://trac.macosforge.org/js/bgsize.js:19
Comment 3 William Siegrist 2009-01-22 10:43:29 PST
That javascript (and layout in general) is no longer used on macosforge. I think this is fixed.
Comment 4 David Kilzer (:ddkilzer) 2009-07-22 12:03:19 PDT
The trac.macosforge.org site has changed.  There is no Internet Archive saved for this URL.  Moving to RESOLVED/FIXED.